Bug 1033140 - [RFE] Pre-populate and explain need for private and public interfaces required for foreman in foreman_server.sh
[RFE] Pre-populate and explain need for private and public interfaces require...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 4.0
Assigned To: Jason Guiditta
Ami Jeain
: FutureFeature
Depends On:
Blocks: RHOS-Foreman-Deployability
  Show dependency treegraph
 
Reported: 2013-11-21 10:38 EST by james labocki
Modified: 2013-12-07 08:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 16:45:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2013-11-21 10:38:59 EST
This is a RFE to explain to the user why private and public interfaces are required for foreman_server.sh.

    PRIVATE_CONTROLLER_IP=
    PRIVATE_INTERFACE=
    PRIVATE_NETMASK=
    PUBLIC_CONTROLLER_IP=
    PUBLIC_INTERFACE=
    PUBLIC_NETMASK=
    FOREMAN_GATEWAY=

Is it possible to add something to post processing of RPM installation to put values into these fields (even if they are just suggestions) to save the user time?
Comment 2 Jason Guiditta 2013-11-22 14:21:54 EST
As someone mentioned elsewhere, these variables were previously explained in the rhos3 docs, but must have just not made it into the updated ones yet.  Agree and explanation of their purpose it needed, but I am not sure how they coudl ever be pre-populated.  How could your controller's public/private IP be inferred by the installer, or which NIC on a given host you want to use for the pupblic or private networks? You the user are the only one who knows where you intend to deploy your controller, and what your lab/company configuration is for those networks.  Remember that this is information for _foreman_ to use to configure host that need to be able for find the controller, like a compute node (for instance).  The plugin stuff Dominic and Greg are working in would delay the need for this information until after initial install time, but it seems unlikely to me that even at that point, we can programatically deduce this without information provided by the user.
Comment 3 Liz 2013-11-25 16:32:38 EST
The wizard that Dominic and his team are working on will definitely help with this BZ. I think the goal would be the help the user get through setting this information up without relying on them completely understanding the terminology. It would be great to be able to at least give some sort of defaults based on the foreman server information if possible. Of course the user may end up changing the default values, but they might not. 

I think that showing a user the network topologies and how these interfaces will be working together would be extremely helpful. Would we be able to show an editable visual diagram similar to the way network topologies are represented in Horizon today? Here is a demo video:
https://www.youtube.com/watch?feature=player_embedded&v=5UTkW2QoafU

If we could step the user through these settings in a wizard and represent them visually, it might take away some of the mystery on how all of the settings play together.
Comment 4 Jason Guiditta 2013-11-25 16:45:23 EST
We cannot provide sensible values programtically, and the documentation should explain what is expected to be set.  If anything, the documentation may need a bit of improvement.
Comment 5 Dominic Cleal 2013-11-26 03:28:33 EST
Docs are being fixed via bug #1030078.

Note You need to log in before you can comment on or make changes to this bug.